﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#include <aws/bcm-pricing-calculator/model/BatchUpdateWorkloadEstimateUsageEntry.h>
#include <aws/core/utils/json/JsonSerializer.h>

#include <utility>

using namespace Aws::Utils::Json;
using namespace Aws::Utils;

namespace Aws
{
namespace BCMPricingCalculator
{
namespace Model
{

BatchUpdateWorkloadEstimateUsageEntry::BatchUpdateWorkloadEstimateUsageEntry() : 
    m_idHasBeenSet(false),
    m_groupHasBeenSet(false),
    m_amount(0.0),
    m_amountHasBeenSet(false)
{
}

BatchUpdateWorkloadEstimateUsageEntry::BatchUpdateWorkloadEstimateUsageEntry(JsonView jsonValue)
  : BatchUpdateWorkloadEstimateUsageEntry()
{
  *this = jsonValue;
}

BatchUpdateWorkloadEstimateUsageEntry& BatchUpdateWorkloadEstimateUsageEntry::operator =(JsonView jsonValue)
{
  if(jsonValue.ValueExists("id"))
  {
    m_id = jsonValue.GetString("id");

    m_idHasBeenSet = true;
  }

  if(jsonValue.ValueExists("group"))
  {
    m_group = jsonValue.GetString("group");

    m_groupHasBeenSet = true;
  }

  if(jsonValue.ValueExists("amount"))
  {
    m_amount = jsonValue.GetDouble("amount");

    m_amountHasBeenSet = true;
  }

  return *this;
}

JsonValue BatchUpdateWorkloadEstimateUsageEntry::Jsonize() const
{
  JsonValue payload;

  if(m_idHasBeenSet)
  {
   payload.WithString("id", m_id);

  }

  if(m_groupHasBeenSet)
  {
   payload.WithString("group", m_group);

  }

  if(m_amountHasBeenSet)
  {
   payload.WithDouble("amount", m_amount);

  }

  return payload;
}

} // namespace Model
} // namespace BCMPricingCalculator
} // namespace Aws
